create_clock -period 10.000 -name {pcie_refclk_clk_p[0]} -waveform {0.000 5.000} [get_ports {pcie_refclk_clk_p[0]}]
set_property PACKAGE_PIN AA18 [get_ports {pcie_refclk_clk_n[0]}]
set_property PACKAGE_PIN AA17 [get_ports {pcie_refclk_clk_p[0]}]

set_property IOSTANDARD LVCMOS18 [get_ports pcie_perst_n]
set_property PACKAGE_PIN AA6 [get_ports pcie_perst_n]

set_property -dict {PACKAGE_PIN AB10 IOSTANDARD LVCMOS18 SLEW FAST} [get_ports {green[0]}]
set_property -dict {PACKAGE_PIN AA11 IOSTANDARD LVCMOS18 SLEW FAST} [get_ports {red_blue_tri_o[0]}]
set_property -dict {PACKAGE_PIN AA10 IOSTANDARD LVCMOS18 SLEW FAST} [get_ports {red_blue_tri_o[1]}]

set_property BITSTREAM.CONFIG.CONFIGRATE 10.6 [current_design]
set_property BITSTREAM.GENERAL.COMPRESS TRUE [current_design]
set_property BITSTREAM.CONFIG.SPI_BUSWIDTH 4 [current_design]


set_property LOC GTHE4_CHANNEL_X0Y3 [get_cells {PCIe_DMA_i/xdma_0/inst/pcie4c_ip_i/inst/PCIe_DMA_xdma_0_0_pcie4c_ip_gt_top_i/diablo_gt.diablo_gt_phy_wrapper/gt_wizard.gtwizard_top_i/PCIe_DMA_xdma_0_0_pcie4c_ip_gt_i/inst/gen_gtwizard_gthe4_top.PCIe_DMA_xdma_0_0_pcie4c_ip_gt_gtwizard_gthe4_inst/gen_gtwizard_gthe4.gen_channel_container[0].gen_enabled_channel.gthe4_channel_wrapper_inst/channel_inst/gthe4_channel_gen.gen_gthe4_channel_inst[0].GTHE4_CHANNEL_PRIM_INST}]
set_property PACKAGE_PIN R21 [get_ports {pcie_rxp[3]}]
set_property LOC GTHE4_CHANNEL_X0Y2 [get_cells {PCIe_DMA_i/xdma_0/inst/pcie4c_ip_i/inst/PCIe_DMA_xdma_0_0_pcie4c_ip_gt_top_i/diablo_gt.diablo_gt_phy_wrapper/gt_wizard.gtwizard_top_i/PCIe_DMA_xdma_0_0_pcie4c_ip_gt_i/inst/gen_gtwizard_gthe4_top.PCIe_DMA_xdma_0_0_pcie4c_ip_gt_gtwizard_gthe4_inst/gen_gtwizard_gthe4.gen_channel_container[0].gen_enabled_channel.gthe4_channel_wrapper_inst/channel_inst/gthe4_channel_gen.gen_gthe4_channel_inst[1].GTHE4_CHANNEL_PRIM_INST}]
set_property PACKAGE_PIN U21 [get_ports {pcie_rxp[2]}]
set_property PACKAGE_PIN W21 [get_ports {pcie_rxp[1]}]
set_property PACKAGE_PIN AA21 [get_ports {pcie_rxp[0]}]
